package betterwithmods.event;

import betterwithmods.common.BWMItems;
import net.minecraft.entity.item.EntityItem;
import net.minecraft.entity.passive.EntityWolf;
import net.minecraft.init.SoundEvents;
import net.minecraft.item.ItemStack;
import net.minecraft.world.World;
import net.minecraftforge.event.entity.living.LivingDropsEvent;
import net.minecraftforge.event.entity.player.PlayerInteractEvent;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;

import java.util.Random;

/**
 * Created by tyler on 4/21/17.
 */
public class FeedWolfchopEvent {
    @SubscribeEvent
    public void feedDog(PlayerInteractEvent.EntityInteractSpecific event) {
        ItemStack stack = event.getItemStack();
        if (event.getTarget() instanceof EntityWolf && stack.func_77973_b() == BWMItems.WOLF_CHOP) {
            Random rand = event.getWorld().field_73012_v;
            EntityWolf wolf = (EntityWolf) event.getTarget();
            if(!wolf.func_70919_bu() && stack.func_190916_E() > 0) {
                if(wolf.func_70909_n())
                    wolf.func_70903_f(false);
                stack.func_190918_g(1);
                wolf.func_184185_a(SoundEvents.field_187739_dZ,1.0F, (rand.nextFloat() - rand.nextFloat()) * 0.2F + 1.0F);
                wolf.func_184185_a(SoundEvents.field_187861_gG,1.0F, (rand.nextFloat() - rand.nextFloat()) * 0.2F + 1.0F);
                wolf.func_70624_b(event.getEntityPlayer());
            }

        }
    }

    @SubscribeEvent
    public void dropItem(LivingDropsEvent event) {
        World world = event.getEntityLiving().func_130014_f_();
        if (event.getEntityLiving() instanceof EntityWolf) {
            addDrop(event, new ItemStack(BWMItems.WOLF_CHOP, world.field_73012_v.nextInt(2)));
        }
    }

    public void addDrop(LivingDropsEvent evt, ItemStack drop) {
        EntityItem item = new EntityItem(evt.getEntityLiving().func_130014_f_(), evt.getEntityLiving().field_70165_t, evt.getEntityLiving().field_70163_u, evt.getEntityLiving().field_70161_v, drop);
        item.func_174869_p();
        evt.getDrops().add(item);
    }

}
